//
//  SQAddressModifyLine.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 06/01/2025.
//

import SwiftUI

struct SQAddressModifyLine: View {
    var body: some View {
        let attributedText = NSAttributedString("Modifier")

        HStack {
            SQText("à 8 allée Baco, 44000 Nantes")
                .sqSize(14)
            Spacer()
            Button {
                print("Modifier")
            } label: {
                SQText("Modifier")
                    .sqSize(14)
                    .sqFont(.bold)
                    .underline(true, pattern: .solid)
            }
        }
    }
}

#Preview {
    SQAddressModifyLine()
        .padding()
}
